package com.ruoyi.job.task;

import com.ruoyi.common.core.constant.SecurityConstants;
import com.ruoyi.system.api.RemoteMonthQRCodeConsumeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 二维码消费查询定时任务
 */
@Slf4j
@Component("monthQRCodeConsumeTask")
public class MonthQRCodeConsumeTask {

    @Autowired
    private RemoteMonthQRCodeConsumeService remoteMonthQRCodeConsumeService;

    public void doTask() {
        log.info("二维码消费查询定时任务开始");
        remoteMonthQRCodeConsumeService.consume(SecurityConstants.INNER);
        log.info("二维码消费查询定时任务结束");
    }
}
